summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAntoine Moynault <antoine.moynault@linaro.org>2024-04-08 15:50:45 +0000
committerAntoine Moynault <antoine.moynault@linaro.org>2024-04-08 15:51:11 +0000
commitfd90912e99cf6067a6e7c1194c82a8613e7f9fca (patch)
tree3605cbdb44268ed58a3caefc0a8d3fcecbd9636d
parenta098660932da9c1a8a73400b5100859fadb1b612 (diff)
round-robin-bisect.sh,round-robin-notify.sh: replace git_current_git_dir
this function have been renamed into get_component_dir in a previous patch Change-Id: Ieaae3790ba2bfe29e72d88eead91199988b249e8
-rwxr-xr-xround-robin-bisect.sh2
-rwxr-xr-xround-robin-notify.sh9
2 files changed, 4 insertions, 7 deletions
diff --git a/round-robin-bisect.sh b/round-robin-bisect.sh
index 402286c1..18d836ae 100755
--- a/round-robin-bisect.sh
+++ b/round-robin-bisect.sh
@@ -69,7 +69,7 @@ exit_0 () {
exit 0
}
-current_project_dir=$(get_current_git_dir $current_project)
+current_project_dir=$(get_component_dir $current_project)
bad_url="${bad_git%#*}"
bad_branch="${bad_git#*#}"
diff --git a/round-robin-notify.sh b/round-robin-notify.sh
index 3f92594a..62c18244 100755
--- a/round-robin-notify.sh
+++ b/round-robin-notify.sh
@@ -194,8 +194,7 @@ check_source_changes ()
for c in "${changed_components[@]}"; do
base_rev=$(get_baseline_git ${c}_rev)
cur_rev=$(get_current_git ${c}_rev)
- cur_dir=$(get_current_git_dir ${c})
- c_commits=$(git -C "$cur_dir" rev-list --count $base_rev..$cur_rev || echo "??")
+ c_commits=$(git_component_cmd "$c" rev-list --count $base_rev..$cur_rev || echo "??")
echo "# rev for $c : $base_rev..$cur_rev ($c_commits commits)"
done
echo ""
@@ -502,8 +501,7 @@ print_commits()
for c in "${changed_components[@]}"; do
base_rev=$(get_baseline_git ${c}_rev)
cur_rev=$(get_current_git ${c}_rev)
- cur_dir=$(get_current_git_dir ${c})
- c_commits=$(git -C "$cur_dir" rev-list --count $base_rev..$cur_rev \
+ c_commits=$(git_component_cmd "$c" rev-list --count $base_rev..$cur_rev \
|| echo 0)
new_commits=$(($new_commits + $c_commits))
done
@@ -518,8 +516,7 @@ print_commits()
for c in "${changed_components[@]}"; do
base_rev=$(get_baseline_git ${c}_rev)
cur_rev=$(get_current_git ${c}_rev)
- cur_dir=$(get_current_git_dir ${c})
- c_commits=$(git -C "$cur_dir" rev-list --count $base_rev..$cur_rev \
+ c_commits=$(git_component_cmd "$c" rev-list --count $base_rev..$cur_rev \
|| echo 0)
if [ "${pw[$c]-}" != "" ]; then